Package Details: gtk3-typeahead 3.24.29-2

Git Clone URL: https://aur.archlinux.org/gtk3-typeahead.git (read-only, click to copy)
Package Base: gtk3-typeahead
Description: GObject-based multi-platform GUI toolkit - Typeahead feature enabled for file chooser widget
Upstream URL: https://www.gtk.org/
Licenses: LGPL
Conflicts: gtk3, gtk3-print-backends
Provides: gtk3=3.24.29, gtk3-print-backends, libgailutil-3.so, libgdk-3.so, libgtk-3.so
Replaces: gtk3-print-backends<=3.22.26-1
Submitter: twilinx
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 35
Popularity: 0.000762
First Submitted: 2015-04-26 19:47
Last Updated: 2021-06-03 22:03

Required by (1000)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

lazyboy commented on 2017-01-24 21:46

PKGBUILD with gtk 3.22.7: http://pastebin.com/HyCv5qs0

xuiqzy commented on 2016-10-08 21:15

The build fails for me and google only returns very few old mac gtk3 results... :/

The end of the build log:

checking for GDK_DEP... yes
checking for ATK... yes
checking for GTK_DEP... yes
checking for library containing gethostent... none required
checking for library containing setsockopt... none required
checking for library containing connect... none required
checking for struct sockaddr_un.sun_len... no
checking for cups-config... /usr/bin/cups-config
configure: error: CUPS >= 1.2 not found
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build gtk3-typeahead.


My Cups has version 2.2.1 soooo.. any ideas are appreciated :)

twilinx commented on 2016-09-23 10:34

I am going to wait for GTK+ 3.22 to be released for Archlinux before upgrading this, so that gtk3-typeahead will be compatibly with GNOME 3.22 when I update it eventually.

bertrandolf commented on 2016-09-23 05:48

Thank you for this Patch. Keep up the good Work!

Gruentee commented on 2016-05-26 20:07

@twilinx:
Thank you very much for this patch!
The new default behaviour is (was) very annoying…

twilinx commented on 2016-04-10 06:59

Updated to GTK+ 3.20.2, so you can now use this with GNOME 3.20.

twilinx commented on 2016-03-19 12:48

I just updated this to GTK+ 3.18.9

I also changed some behaviour, so that when typing while recent files are displayed or just after selecting a new folder in the menu on the left the typeahead functionality is also getting activated. Please report any issues in case you encounter some due to this change.

jplatte commented on 2016-02-18 13:09

Sorry for not answering for so long. I don't have this problem anymore, I probably didn't have gtk3-typeahead installed at the time and thought I had for some reason.

twilinx commented on 2016-01-14 16:38

I don't think it is typical to have the version in provides, but apparently neccesary in this case. I made the change you proposed. The patch still seems to work just fine for me, I usually test it with the file open dialog in gedit. Under which circumstances do you get type-to-search? How could I reproduce your problem?
(This patch does NOT implement typeahead for nautilus, use nemo or nautilus-typeahead instead!)

jplatte commented on 2016-01-14 13:45

Is it really normal to have the version in provides? But if you want / have to keep it, I think

provides=("gtk3=$pkgver")

instead of

provides=('gtk3=3.18.6')

might be better (if it works, haven't tested but it should).


Anyway, the patch isn't enough anymore! I rebuilt the package recently and that worked, but now I get type-to-search behaviour in the file chooser widget. :(